# Fully settle/refund a payment

Confirm a settlement/refund of all line items within a split payment.

Endpoint: POST /splitPayments/{splitPaymentId}/fulfillments
Version: 2025-06-25
Security: BasicAuth

## Path parameters:

  - `splitPaymentId` (string, required)
    ID of the split payment.
    Example: "spld1dcd2dee333cae1bfdea0"

## Header parameters:

  - `Content-Type` (string, required)
    The Content-Type.
    Example: "application/json"

  - `WP-Api-Version` (string, required)
    The API version.
    Example: "2025-06-25"

## Request fields (application/json):

  - `reference` (string)
    A reference generated by you to identify each lifecycle event of a payment.

  - `description` (string)
    Description of the fulfillment
    Example: "optional description of fulfillment"

  - `paymentCommandId` (string, required)
    A unique ID generated by us for each lifecycle event on a payment. You have received this in the [response of your payment authorization request](/products/card-payments/openapi/other/authorize#other/authorize/t=response&c=201&path=&d=0/commandid) in our Card Payments API.

  - `transactionType` (string, required)
    Defines the type of payment lifecycle action.
    Enum: "settle", "refund"

## Response 201 fields (application/json):

  - `fulfillment` (string)
    Update status to fulfilled

## Response 400 fields (application/json):

  - `errorName` (string, required)
    Enum: "headerIsMissing", "headerHasInvalidValue", "bodyIsEmpty", "bodyIsNotJson", "bodyDoesNotMatchSchema"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption.

  - `validationErrors` (array)
    If there were field validation errors, they will be collected in this array.

  - `validationErrors.errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "fieldIsNull", "fieldIsEmpty", "numberIsTooLarge", "numberIsTooSmall", "stringFailedRegexCheck"

  - `validationErrors.message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption.

  - `validationErrors.jsonPath` (string, required)
    The field presents the JSONPath of th element within the request body associated with the error.

## Response 401 fields (application/json):

  - `errorName` (string, required)
    Un-authorized access, Insufficient permissions to fulfil request.
    Enum: "unauthorizedAccess", "headerHasInvalidValue", "headerIsMissing"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption.

## Response 406 fields (application/json):

  - `errorName` (string, required)
    A header 'WP-Api-Version' or URL path in the request is misconfigured

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption.

## Response 415 fields (application/json):

  - `errorName` (string, required)
    A header 'Content-Type' in the request does not contain an expected value. Content-type must be - 'application/json'

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption.

## Response 500 fields (application/json):

  - `errorName` (string, required)
    An error occurred within the service.
    Enum: "internalErrorOccurred"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  This is not for machine consumption.


